"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RefreshStrategy = exports.InstanceRefreshInProgressFault = exports.IrreversibleInstanceRefreshFault = exports.MetricType = exports.MetricStatistic = exports.PredictiveScalingMode = exports.PredefinedScalingMetricType = exports.PredefinedMetricPairType = exports.PredefinedLoadMetricType = exports.PredictiveScalingMaxCapacityBreachBehavior = exports.InstanceRefreshStatus = exports.StandbyInstances = exports.ScaleInProtectedInstances = exports.InvalidNextToken = exports.WarmPoolStatus = exports.WarmPoolState = exports.LifecycleState = exports.ScalingActivityInProgressFault = exports.ResourceInUseFault = exports.InstanceMetadataHttpTokensState = exports.InstanceMetadataEndpointState = exports.LocalStorageType = exports.LocalStorage = exports.InstanceGeneration = exports.CpuManufacturer = exports.BurstablePerformance = exports.BareMetal = exports.LimitExceededFault = exports.ServiceLinkedRoleFailure = exports.ResourceContentionFault = exports.AlreadyExistsFault = exports.ScalingActivityStatusCode = exports.ActiveInstanceRefreshNotFoundFault = exports.AcceleratorType = exports.AcceleratorName = exports.AcceleratorManufacturer = void 0;
const AutoScalingServiceException_1 = require("./AutoScalingServiceException");
exports.AcceleratorManufacturer = {
    AMAZON_WEB_SERVICES: "amazon-web-services",
    AMD: "amd",
    NVIDIA: "nvidia",
    XILINX: "xilinx",
};
exports.AcceleratorName = {
    A100: "a100",
    K80: "k80",
    M60: "m60",
    RADEON_PRO_V520: "radeon-pro-v520",
    T4: "t4",
    V100: "v100",
    VU9P: "vu9p",
};
exports.AcceleratorType = {
    FPGA: "fpga",
    GPU: "gpu",
    INFERENCE: "inference",
};
class ActiveInstanceRefreshNotFoundFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "ActiveInstanceRefreshNotFoundFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ActiveInstanceRefreshNotFoundFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ActiveInstanceRefreshNotFoundFault.prototype);
    }
}
exports.ActiveInstanceRefreshNotFoundFault = ActiveInstanceRefreshNotFoundFault;
exports.ScalingActivityStatusCode = {
    Cancelled: "Cancelled",
    Failed: "Failed",
    InProgress: "InProgress",
    MidLifecycleAction: "MidLifecycleAction",
    PendingSpotBidPlacement: "PendingSpotBidPlacement",
    PreInService: "PreInService",
    Successful: "Successful",
    WaitingForConnectionDraining: "WaitingForConnectionDraining",
    WaitingForELBConnectionDraining: "WaitingForELBConnectionDraining",
    WaitingForInstanceId: "WaitingForInstanceId",
    WaitingForInstanceWarmup: "WaitingForInstanceWarmup",
    WaitingForSpotInstanceId: "WaitingForSpotInstanceId",
    WaitingForSpotInstanceRequestId: "WaitingForSpotInstanceRequestId",
};
class AlreadyExistsFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "AlreadyExistsFault",
            $fault: "client",
            ...opts,
        });
        this.name = "AlreadyExistsFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, AlreadyExistsFault.prototype);
    }
}
exports.AlreadyExistsFault = AlreadyExistsFault;
class ResourceContentionFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "ResourceContentionFault",
            $fault: "server",
            ...opts,
        });
        this.name = "ResourceContentionFault";
        this.$fault = "server";
        Object.setPrototypeOf(this, ResourceContentionFault.prototype);
    }
}
exports.ResourceContentionFault = ResourceContentionFault;
class ServiceLinkedRoleFailure extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "ServiceLinkedRoleFailure",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceLinkedRoleFailure";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceLinkedRoleFailure.prototype);
    }
}
exports.ServiceLinkedRoleFailure = ServiceLinkedRoleFailure;
class LimitExceededFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "LimitExceededFault",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededFault.prototype);
    }
}
exports.LimitExceededFault = LimitExceededFault;
exports.BareMetal = {
    EXCLUDED: "excluded",
    INCLUDED: "included",
    REQUIRED: "required",
};
exports.BurstablePerformance = {
    EXCLUDED: "excluded",
    INCLUDED: "included",
    REQUIRED: "required",
};
exports.CpuManufacturer = {
    AMAZON_WEB_SERVICES: "amazon-web-services",
    AMD: "amd",
    INTEL: "intel",
};
exports.InstanceGeneration = {
    CURRENT: "current",
    PREVIOUS: "previous",
};
exports.LocalStorage = {
    EXCLUDED: "excluded",
    INCLUDED: "included",
    REQUIRED: "required",
};
exports.LocalStorageType = {
    HDD: "hdd",
    SSD: "ssd",
};
exports.InstanceMetadataEndpointState = {
    Disabled: "disabled",
    Enabled: "enabled",
};
exports.InstanceMetadataHttpTokensState = {
    Optional: "optional",
    Required: "required",
};
class ResourceInUseFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "ResourceInUseFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceInUseFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceInUseFault.prototype);
    }
}
exports.ResourceInUseFault = ResourceInUseFault;
class ScalingActivityInProgressFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "ScalingActivityInProgressFault",
            $fault: "client",
            ...opts,
        });
        this.name = "ScalingActivityInProgressFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, ScalingActivityInProgressFault.prototype);
    }
}
exports.ScalingActivityInProgressFault = ScalingActivityInProgressFault;
exports.LifecycleState = {
    DETACHED: "Detached",
    DETACHING: "Detaching",
    ENTERING_STANDBY: "EnteringStandby",
    IN_SERVICE: "InService",
    PENDING: "Pending",
    PENDING_PROCEED: "Pending:Proceed",
    PENDING_WAIT: "Pending:Wait",
    QUARANTINED: "Quarantined",
    STANDBY: "Standby",
    TERMINATED: "Terminated",
    TERMINATING: "Terminating",
    TERMINATING_PROCEED: "Terminating:Proceed",
    TERMINATING_WAIT: "Terminating:Wait",
    WARMED_HIBERNATED: "Warmed:Hibernated",
    WARMED_PENDING: "Warmed:Pending",
    WARMED_PENDING_PROCEED: "Warmed:Pending:Proceed",
    WARMED_PENDING_WAIT: "Warmed:Pending:Wait",
    WARMED_RUNNING: "Warmed:Running",
    WARMED_STOPPED: "Warmed:Stopped",
    WARMED_TERMINATED: "Warmed:Terminated",
    WARMED_TERMINATING: "Warmed:Terminating",
    WARMED_TERMINATING_PROCEED: "Warmed:Terminating:Proceed",
    WARMED_TERMINATING_WAIT: "Warmed:Terminating:Wait",
};
exports.WarmPoolState = {
    Hibernated: "Hibernated",
    Running: "Running",
    Stopped: "Stopped",
};
exports.WarmPoolStatus = {
    PendingDelete: "PendingDelete",
};
class InvalidNextToken extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "InvalidNextToken",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNextToken";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNextToken.prototype);
    }
}
exports.InvalidNextToken = InvalidNextToken;
exports.ScaleInProtectedInstances = {
    Ignore: "Ignore",
    Refresh: "Refresh",
    Wait: "Wait",
};
exports.StandbyInstances = {
    Ignore: "Ignore",
    Terminate: "Terminate",
    Wait: "Wait",
};
exports.InstanceRefreshStatus = {
    Cancelled: "Cancelled",
    Cancelling: "Cancelling",
    Failed: "Failed",
    InProgress: "InProgress",
    Pending: "Pending",
    RollbackFailed: "RollbackFailed",
    RollbackInProgress: "RollbackInProgress",
    RollbackSuccessful: "RollbackSuccessful",
    Successful: "Successful",
};
exports.PredictiveScalingMaxCapacityBreachBehavior = {
    HonorMaxCapacity: "HonorMaxCapacity",
    IncreaseMaxCapacity: "IncreaseMaxCapacity",
};
exports.PredefinedLoadMetricType = {
    ALBTargetGroupRequestCount: "ALBTargetGroupRequestCount",
    ASGTotalCPUUtilization: "ASGTotalCPUUtilization",
    ASGTotalNetworkIn: "ASGTotalNetworkIn",
    ASGTotalNetworkOut: "ASGTotalNetworkOut",
};
exports.PredefinedMetricPairType = {
    ALBRequestCount: "ALBRequestCount",
    ASGCPUUtilization: "ASGCPUUtilization",
    ASGNetworkIn: "ASGNetworkIn",
    ASGNetworkOut: "ASGNetworkOut",
};
exports.PredefinedScalingMetricType = {
    ALBRequestCountPerTarget: "ALBRequestCountPerTarget",
    ASGAverageCPUUtilization: "ASGAverageCPUUtilization",
    ASGAverageNetworkIn: "ASGAverageNetworkIn",
    ASGAverageNetworkOut: "ASGAverageNetworkOut",
};
exports.PredictiveScalingMode = {
    ForecastAndScale: "ForecastAndScale",
    ForecastOnly: "ForecastOnly",
};
exports.MetricStatistic = {
    Average: "Average",
    Maximum: "Maximum",
    Minimum: "Minimum",
    SampleCount: "SampleCount",
    Sum: "Sum",
};
exports.MetricType = {
    ALBRequestCountPerTarget: "ALBRequestCountPerTarget",
    ASGAverageCPUUtilization: "ASGAverageCPUUtilization",
    ASGAverageNetworkIn: "ASGAverageNetworkIn",
    ASGAverageNetworkOut: "ASGAverageNetworkOut",
};
class IrreversibleInstanceRefreshFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "IrreversibleInstanceRefreshFault",
            $fault: "client",
            ...opts,
        });
        this.name = "IrreversibleInstanceRefreshFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, IrreversibleInstanceRefreshFault.prototype);
    }
}
exports.IrreversibleInstanceRefreshFault = IrreversibleInstanceRefreshFault;
class InstanceRefreshInProgressFault extends AutoScalingServiceException_1.AutoScalingServiceException {
    constructor(opts) {
        super({
            name: "InstanceRefreshInProgressFault",
            $fault: "client",
            ...opts,
        });
        this.name = "InstanceRefreshInProgressFault";
        this.$fault = "client";
        Object.setPrototypeOf(this, InstanceRefreshInProgressFault.prototype);
    }
}
exports.InstanceRefreshInProgressFault = InstanceRefreshInProgressFault;
exports.RefreshStrategy = {
    Rolling: "Rolling",
};
